Subject: Re: schema discovery

From: Johan Rydberg <[email-masked]>
Date: Wed, 16 Jan 2008 11:57:51 +0100

Martin Bjorklund skrev:

> I prefer the <get> based approach for schema discovery.  But I would
> also like to see a mechanism to retrieve the actual schema over
> NETCONF.  The data model below supports those two concepts.  It is
> also extensible so that new schema formats can be added without
> modifying this module.

I agree, there need to be a way to fetch the schema.  But as James
pointed out, do there really need to be an identifier?  The schema
could be identified by the target namespace.

I also think that the schema type should be metainformation of the
value returned by <get-schema/> (an attribute for example).

~jr

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>